Developer Hub
Request Demo
Request Demo
Support
  1. EntityRelations
  • Getting Started
    • Introduction
  • API Reference
    • Admins
      • Bulk Admins Download API
    • Business Owners
      • Bulk Business Owners Download API
      • Bulk Business Owners Upload API
    • Configuration
      • Bulk Entity Finding Rules Download API
      • Bulk Custom Insights (Entity Rules) Download API
      • Bulk Filters Download API
      • Bulk Findings Download API
      • Get Branding Information
    • Employees
      • Bulk Employees Download API
      • Bulk Employees Upload API
    • Entitlements
      • Bulk Entitlements Download API
      • Bulk Entitlements Upload API
    • Entities
      • Bulk Entities Download API
      • Bulk Entities Upload API
      • Bulk Entities + Entity-Relations Zip Upload API
    • EntityInsights
      • Bulk Entity Insights Download API
    • EntityRelations
      • Bulk Entity Relations Download API
        POST
      • Bulk Entity Relations Upload API
        POST
    • EntityRBAC
      • Bulk Entity RBAC Download API
    • Integrations
      • Bulk Integrations Download API
    • Purposes
      • Bulk Purposes Download API
    • Relations
      • Bulk Relations Upload API
    • Requests
      • Bulk Requests Download API
    • Reviews
      • Bulk Reviews Download API
  • Relations
    • Bulk Employee Relations Upload API
      POST
    • Bulk Employee Relations Download API
      POST
  • Schemas
    • Schemas
      • AdminsDownloadURLRequest
      • BusinessOwnersDownloadURLRequest
      • EntitiesDownloadURLRequest
      • EntitiesUploadURLRequest
      • EntitlementDownloadURLRequest
      • EntitlementUploadURLRequest
      • EntityRelationsDownloadURLRequest
      • EntityRelationsUploadURLRequest
      • Error
      • FindingsDownloadURLRequest
      • UploadURLResponse
    • DownloadURLResponse
    • EmployeeRelationsDownloadURLRequest
    • ReviewDownloadURLRequest
    • RequestsDownloadURLRequest
    • EntitiesBulkUploadURLRequest
    • Logo
    • BrandingResponse
  1. EntityRelations

Bulk Entity Relations Download API

POST
https://balkanid.app/api/rest/v0/entity-relations/download-url

BalkanID Entity Relations Download CSV Format#

In this section, we will explain the BalkanID Entity Relations CSV format.

Sample CSV#

App*Timestamp*Integration*Parent Entity BRN*Entity BRN*Entity Type*Source System*Metadata Version*Metadata*
okta2024-06-13 06:17:04 +0000 UTCokta/01J07X778EK4BH2M2A1VY4HCYFbrn:bid:balkanid:::01J06J6V8JT92BP4RGFDTG5G97:identity:pww8lnoprwDRmRLIOjC9zUbvOmfn5HholuclUQe5QNUbrn:bid:balkanid:::01J06J6V8JT92BP4RGFDTG5G97:connection:-HebVJVI8ca3kmd0FMm9t5hXMmsv4Ygc54hW2u7KQdgconnectionoktav1{"connectionType":"group","privilegeName":"member","privilegeValue":true,"project":"https://your-org.okta.com"}
okta2024-06-13 06:17:04 +0000 UTCokta/01J07X778EK4BH2M2A1VY4HCYFbrn:bid:balkanid:::01J06J6V8JT92BP4RGFDTG5G97:identity:G2byRnP_n1pDW7xjogBKF6Y1JF4c57xdFdKfbmVVsOUbrn:bid:balkanid:::01J06J6V8JT92BP4RGFDTG5G97:connection:w32pXdsNUfaXli5UF8dkDd2VX2re6yQNS_D3uw-Qqa8connectionoktav1{"connectionType":"group","privilegeName":"member","privilegeValue":true,"project":"https://your-org.okta.com"}
okta2024-06-13 06:17:04 +0000 UTCokta/01J07X778EK4BH2M2A1VY4HCYFbrn:bid:balkanid:::01J06J6V8JT92BP4RGFDTG5G97:identity:Ys9cdJadCykeoVYD9wyObNhGMRBiTyz2UZtFl4OHCfobrn:bid:balkanid:::01J06J6V8JT92BP4RGFDTG5G97:connection:w32pXdsNUfaXli5UF8dkDd2VX2re6yQNS_D3uw-Qqa8connectionoktav1{"connectionType":"group","privilegeName":"member","privilegeValue":true,"project":"https://your-org.okta.com"}
okta2024-06-13 06:17:04 +0000 UTCokta/01J07X778EK4BH2M2A1VY4HCYFbrn:bid:balkanid:::01J06J6V8JT92BP4RGFDTG5G97:identity:DIcLfBZzPVSrxySOaqSyIFEaC3gTIgUf6gN7Dcq5mdwbrn:bid:balkanid:::01J06J6V8JT92BP4RGFDTG5G97:connection:w32pXdsNUfaXli5UF8dkDd2VX2re6yQNS_D3uw-Qqa8connectionoktav1{"connectionType":"group","privilegeName":"member","privilegeValue":true,"project":"https://your-org.okta.com"}
Columns with * are required always.
Column Definitions#
Column NameColumn Description
TimestampRequired - Timestamp of the entity relation
AppRequired - Application the Entity Relation is associated with
IntegrationRequired - Integration ID the entity is assoicated with
Parent Entity BRNRequired - BRN of the parent entity, must exist in the last synced entities
Entity BRNRequired - BRN of the entity, must exist in the last synced entities
Entity TypeRequired - The type of the entity, types: identity, connection, resource
Source SystemRequired - Source System of the entity
Metadata VersionRequired - Version of the metadata, according to the metadata schema
MetadataRequired - Metadata for the entity
All columns are required.

Download the CSV file via the pre-signed URL#

After retrieving the pre-signed URL in the previous step, all that remains is to download the CSV in BalkanID Entity Relations CSV format from the pre-signed URL.
To use the polling URL, first send an HTTP request with the method HEAD to the pollingUrl.
If the response status code is 404, the file is not ready, and you should retry this polling request after a delay.
If the response status code is 200, the file is ready, and you may proceed to download the CSV from the received url.

Request

Authorization
API Key
Add parameter in header
X-API-KEY-ID
Example:
X-API-KEY-ID: ********************
API Key
Add parameter in header
X-API-KEY-SECRET
Example:
X-API-KEY-SECRET: ********************
or
Header Params

Body Params application/jsonRequired

Example
{
    "integrationID": "string"
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://balkanid.app/api/rest/v0/entity-relations/download-url' \
--header 'X-Api-Key-ID;' \
--header 'X-Api-Key-Secret;' \
--header 'X-API-KEY-ID: <api-key>' \
--header 'X-API-KEY-SECRET: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
    "integrationID": "string"
}'

Responses

🟢200OK
application/json
download url response
Bodyapplication/json

Example
{
    "url": "string",
    "pollingUrl": "string"
}
⚪defaultServer Error
Modified at 2026-11-06 13:38:07
Previous
Bulk Entity Insights Download API
Next
Bulk Entity Relations Upload API
Built with